<?php

namespace App\Components;

use Daylight\Core\Modules\PageBuilder\Entities\Component;
use Daylight\Core\Modules\PageBuilder\Entities\Field;
use Illuminate\Support\Collection;

class Gallery extends Component
{
    public string $type = 'gallery';

    public function name(): string
    {
        return __('Gallery');
    }

    public function fields(): Collection
    {
        return collect([
            Field::media('images', __('Images')),
        ]);
    }
}
